Index: binaries/data/mods/public/simulation/data/technologies/attack_steel_working.json
===================================================================
--- binaries/data/mods/public/simulation/data/technologies/attack_steel_working.json	(révision 18027)
+++ binaries/data/mods/public/simulation/data/technologies/attack_steel_working.json	(copie de travail)
@@ -3,15 +3,15 @@
 	"specificName": {
 		"maur": "Wootz Steel",
 		"iber": "Toledo Steel"
 	},
 	"description": "Secret steel working techniques give sword blades distinctive and beautiful markings. Not only that, but the steel's hardness is unparalleled.",
-	"cost": {"food": 0, "wood": 200, "stone": 0, "metal": 200},
-	"requirements": {"tech": "phase_city"},
+	"cost": { "food": 0, "wood": 200, "stone": 0, "metal": 200 },
+	"requirements": { "all": [{ "tech": "phase_city" }, { "any": [{ "civ": "iber" }, { "civ": "maur" }] }] },
 	"requirementsTooltip": "Unlocked in City Phase.",
 	"icon": "metalworker.png",
 	"researchTime": 60,
 	"tooltip": "+2 attack for all sword units.",
-	"modifications": [{"value": "Attack/Melee/Hack", "add": 2.0}],
+	"modifications": [{ "value": "Attack/Melee/Hack", "add": 2.0 }],
 	"affects": ["Sword"],
 	"soundComplete": "interface/alarm/alarm_upgradearmory.xml"
 }
Index: binaries/data/mods/public/simulation/data/technologies/pair_walls_01.json
===================================================================
--- binaries/data/mods/public/simulation/data/technologies/pair_walls_01.json	(révision 18027)
+++ binaries/data/mods/public/simulation/data/technologies/pair_walls_01.json	(copie de travail)
@@ -1,5 +1,6 @@
 {
 	"genericName": "Walls build time vs. Health",
 	"top": "buildtime_walls_rubble",
-	"bottom": "health_walls_geometric_masonry"
+	"bottom": "health_walls_geometric_masonry",
+	"requirements": { "notciv": "iber" }
 }
Index: binaries/data/mods/public/simulation/data/technologies/phase_city.json
===================================================================
--- binaries/data/mods/public/simulation/data/technologies/phase_city.json	(révision 18027)
+++ binaries/data/mods/public/simulation/data/technologies/phase_city.json	(copie de travail)
@@ -3,19 +3,19 @@
 	"specificName": {
 		"mace": "Megalópolis",
 		"spart": "Megalópolis"
 	},
 	"description": "Advances from a bustling town to a veritable metropolis, full of the wonders of modern technology.",
-	"cost": {"food": 0, "wood": 0, "stone": 750, "metal": 750},
-	"requirements": { "class": "Town", "number": 4 },
+	"cost": { "food": 0, "wood": 0, "stone": 750, "metal": 750 },
+	"requirements": { "all": [{ "class": "Town", "number": 4 }, { "notciv": "athen" }] },
 	"requirementsTooltip": "Requires 4 new Town Phase structures (except Walls and Civic Centers).",
 	"supersedes": "phase_town",
 	"icon": "city_phase.png",
 	"researchTime": 60,
 	"tooltip": "Advance to City Phase, which unlocks more structures and units. Territory radius for Civic Centers increased by another +50%",
 	"modifications": [
-		{"value": "TerritoryInfluence/Radius", "multiply": 1.50, "affects": "CivCentre"},
-		{"value": "Health/Max", "multiply": 1.2, "affects": "CitizenSoldier"},
-		{"value": "Capturable/GarrisonRegenRate", "add": 1.5, "affects": "Structure"}
+		{ "value": "TerritoryInfluence/Radius", "multiply": 1.50, "affects": "CivCentre" },
+		{ "value": "Health/Max", "multiply": 1.2, "affects": "CitizenSoldier" },
+		{ "value": "Capturable/GarrisonRegenRate", "add": 1.5, "affects": "Structure" }
 	],
 	"soundComplete": "interface/alarm/alarm_phase.xml"
 }
Index: binaries/data/mods/public/simulation/data/technologies/phase_city_athen.json
===================================================================
--- binaries/data/mods/public/simulation/data/technologies/phase_city_athen.json	(révision 18027)
+++ binaries/data/mods/public/simulation/data/technologies/phase_city_athen.json	(copie de travail)
@@ -2,21 +2,21 @@
 	"genericName": "City Phase",
 	"specificName": {
 		"athen": "Megalópolis"
 	},
 	"description": "Advances from a bustling town to a veritable metropolis, full of the wonders of modern technology. This is the Athenian city phase, where metal gathering rates are boosted because of the 'Silver Owls' bonus.",
-	"cost": {"food": 0, "wood": 0, "stone": 750, "metal": 750},
-	"requirements": { "class": "Town", "number": 4 },
+	"cost": { "food": 0, "wood": 0, "stone": 750, "metal": 750 },
+	"requirements": { "all": [{ "class": "Town", "number": 4 }, { "civ": "athen" }] },
 	"requirementsTooltip": "Requires 4 new Town Phase structures (except Walls and Civic Centers).",
 	"supersedes": "phase_town_athen",
 	"replaces": ["phase_city"],
 	"icon": "city_phase.png",
 	"researchTime": 60,
 	"tooltip": "Advance to City Phase, which unlocks more structures and units. Territory radius for Civic Centers increased by another +50%. Silver Owls civ bonus grants an extra +10% metal gather rate to all workers.",
 	"modifications": [
-		{"value": "ResourceGatherer/Rates/metal.ore", "multiply": 1.1, "affects": "Worker"},
-		{"value": "TerritoryInfluence/Radius", "multiply": 1.50, "affects": "CivCentre"},
-		{"value": "Health/Max", "multiply": 1.2, "affects": "CitizenSoldier"},
-		{"value": "Capturable/GarrisonRegenRate", "add": 1.5, "affects": "Structure"}
+		{ "value": "ResourceGatherer/Rates/metal.ore", "multiply": 1.1, "affects": "Worker" },
+		{ "value": "TerritoryInfluence/Radius", "multiply": 1.50, "affects": "CivCentre" },
+		{ "value": "Health/Max", "multiply": 1.2, "affects": "CitizenSoldier" },
+		{ "value": "Capturable/GarrisonRegenRate", "add": 1.5, "affects": "Structure" }
 	],
 	"soundComplete": "interface/alarm/alarm_phase.xml"
 }
Index: binaries/data/mods/public/simulation/data/technologies/phase_town.json
===================================================================
--- binaries/data/mods/public/simulation/data/technologies/phase_town.json	(révision 18027)
+++ binaries/data/mods/public/simulation/data/technologies/phase_town.json	(copie de travail)
@@ -4,18 +4,18 @@
 		"mace": "Kōmópolis",
 		"spart": "Kōmópolis"
 	},
 	"description": "Advances from a small village to a bustling town, ready to expand rapidly.",
 	"cost": { "food": 500, "wood": 500, "stone": 0, "metal": 0 },
-	"requirements": { "class": "Village", "number": 5 },
+	"requirements": { "all": [{ "class": "Village", "number": 5 }, { "notciv": "athen" }] },
 	"requirementsTooltip": "Requires 5 Village Phase structures (except Palisades and Farm Fields).",
 	"supersedes": "phase_village",
 	"icon": "town_phase.png",
 	"researchTime": 30,
 	"tooltip": "Advance to Town Phase, which unlocks more structures and units. Territory radius for Civic Centers increased by +30%",
 	"modifications": [
-		{"value": "TerritoryInfluence/Radius", "multiply": 1.30, "affects": "CivCentre"},
-		{"value": "Health/Max", "multiply": 1.2, "affects": "CitizenSoldier"},
-		{"value": "Capturable/GarrisonRegenRate", "add": 2.0, "affects": "Structure"}
+		{ "value": "TerritoryInfluence/Radius", "multiply": 1.30, "affects": "CivCentre" },
+		{ "value": "Health/Max", "multiply": 1.2, "affects": "CitizenSoldier" },
+		{ "value": "Capturable/GarrisonRegenRate", "add": 2.0, "affects": "Structure" }
 	],
 	"soundComplete": "interface/alarm/alarm_phase.xml"
 }
Index: binaries/data/mods/public/simulation/data/technologies/phase_town_athen.json
===================================================================
--- binaries/data/mods/public/simulation/data/technologies/phase_town_athen.json	(révision 18027)
+++ binaries/data/mods/public/simulation/data/technologies/phase_town_athen.json	(copie de travail)
@@ -2,21 +2,21 @@
 	"genericName": "Town Phase",
 	"specificName": {
 		"athen": "Kōmópolis"
 	},
 	"description": "Advances from a small village to a bustling town, ready to expand rapidly. This is the Athenian town phase, where metal gathering rates are boosted because of the 'Silver Owls' bonus.",
-	"cost": {"food": 500, "wood": 500, "stone": 0, "metal": 0},
-	"requirements": { "class": "Village", "number": 5 },
+	"cost": { "food": 500, "wood": 500, "stone": 0, "metal": 0 },
+	"requirements": { "all": [{ "class": "Village", "number": 5 }, { "civ": "athen" }] },
 	"requirementsTooltip": "Requires 5 Village Phase structures (except Palisades and Farm Fields).",
 	"supersedes": "phase_village",
 	"replaces": ["phase_town"],
 	"icon": "town_phase.png",
 	"researchTime": 30,
 	"tooltip": "Advance to Town Phase, which unlocks more structures and units. Territory radius for Civic Centers increased by +30%. 'Silver Owls' civ bonus grants an extra +10% metal gather rate to all workers.",
 	"modifications": [
-		{"value": "ResourceGatherer/Rates/metal.ore", "multiply": 1.1, "affects": "Worker"},
-		{"value": "TerritoryInfluence/Radius", "multiply": 1.30, "affects": "CivCentre"},
-		{"value": "Health/Max", "multiply": 1.2, "affects": "CitizenSoldier"},
-		{"value": "Capturable/GarrisonRegenRate", "add": 2.0, "affects": "Structure"}
+		{ "value": "ResourceGatherer/Rates/metal.ore", "multiply": 1.1, "affects": "Worker" },
+		{ "value": "TerritoryInfluence/Radius", "multiply": 1.30, "affects": "CivCentre" },
+		{ "value": "Health/Max", "multiply": 1.2, "affects": "CitizenSoldier" },
+		{ "value": "Capturable/GarrisonRegenRate", "add": 2.0, "affects": "Structure" }
 	],
 	"soundComplete": "interface/alarm/alarm_phase.xml"
 }
Index: binaries/data/mods/public/simulation/data/technologies/siege_armor.json
===================================================================
--- binaries/data/mods/public/simulation/data/technologies/siege_armor.json	(révision 18027)
+++ binaries/data/mods/public/simulation/data/technologies/siege_armor.json	(copie de travail)
@@ -1,13 +1,13 @@
 {
 	"genericName": "Armor plating",
 	"description": "Increased armor on siege weapons",
-	"cost": {"food": 0, "wood": 500, "stone": 0, "metal": 250},
-	"requirements": {"tech": "phase_city"},
+	"cost": { "food": 0, "wood": 500, "stone": 0, "metal": 250 },
+	"requirements": { "all": [{ "tech": "phase_city" }, { "notciv": "maur" }] },
 	"requirementsTooltip": "Unlocked in City Phase.",
 	"icon": "armor_plates_gold.png",
 	"researchTime": 40,
 	"tooltip": "All Siege weapons +2 Hack armor levels.",
-	"modifications": [{"value": "Armour/Hack", "add": 2.0}],
+	"modifications": [{ "value": "Armour/Hack", "add": 2.0 }],
 	"affects": ["Siege"],
 	"soundComplete": "interface/alarm/alarm_upgradearmory.xml"
 }
Index: binaries/data/mods/public/simulation/data/technologies/siege_attack.json
===================================================================
--- binaries/data/mods/public/simulation/data/technologies/siege_attack.json	(révision 18027)
+++ binaries/data/mods/public/simulation/data/technologies/siege_attack.json	(copie de travail)
@@ -1,10 +1,10 @@
 {
 	"genericName": "Advanced Siege",
 	"description": "Advanced technologies improve siege efficiency",
-	"cost": {"food": 0, "wood": 1000, "stone": 0, "metal": 500},
-	"requirements": {"tech": "phase_city"},
+	"cost": { "food": 0, "wood": 1000, "stone": 0, "metal": 500 },
+	"requirements": { "all": [{ "tech": "phase_city" }, { "notciv": "maur" }] },
 	"requirementsTooltip": "Unlocked in City Phase.",
 	"icon": "siege_ram.png",
 	"researchTime": 40,
 	"tooltip": "All siege weapons +25% Crush damage.",
 	"modifications": [
Index: binaries/data/mods/public/simulation/data/technologies/siege_bolt_accuracy.json
===================================================================
--- binaries/data/mods/public/simulation/data/technologies/siege_bolt_accuracy.json	(révision 18027)
+++ binaries/data/mods/public/simulation/data/technologies/siege_bolt_accuracy.json	(copie de travail)
@@ -1,13 +1,13 @@
 {
 	"genericName": "Bolt Accuracy",
 	"description": "Improvement to projectile accuracy",
-	"cost": {"food": 0, "wood": 250, "stone": 0, "metal": 250},
-	"requirements": {"tech": "phase_city"},
+	"cost": { "food": 0, "wood": 250, "stone": 0, "metal": 250 },
+	"requirements": { "all": [{ "tech": "phase_city" }, { "any": [{ "notciv": "brit"}, { "notciv": "gaul" }, { "notciv": "iber" }, { "notciv": "maur" }, { "notciv": "pers" }] } ]},
 	"requirementsTooltip": "Unlocked in City Phase.",
 	"icon": "accuracy_bolt.png",
 	"researchTime": 40,
 	"tooltip": "Bolt shooter accuracy increased 25%.",
-	"modifications": [{"value": "Attack/Ranged/Spread", "multiply": 0.8}],
+	"modifications": [{ "value": "Attack/Ranged/Spread", "multiply": 0.8 }],
 	"affects": ["Bolt Shooter"],
 	"soundComplete": "interface/alarm/alarm_upgradearmory.xml"
 }
Index: binaries/data/mods/public/simulation/data/technologies/siege_cost_metal.json
===================================================================
--- binaries/data/mods/public/simulation/data/technologies/siege_cost_metal.json	(révision 18027)
+++ binaries/data/mods/public/simulation/data/technologies/siege_cost_metal.json	(copie de travail)
@@ -1,13 +1,13 @@
 {
 	"genericName": "Metalworker",
 	"description": "Siege weapons require less metal resource",
-	"cost": {"food": 500, "wood": 500, "stone": 250, "metal": 0},
-	"requirements": {"tech": "phase_city"},
+	"cost": { "food": 500, "wood": 500, "stone": 250, "metal": 0 },
+	"requirements": { "all": [{ "tech": "phase_city" }, { "notciv": "maur" }] },
 	"requirementsTooltip": "Unlocked in City Phase.",
 	"icon": "metalworker.png",
 	"researchTime": 40,
 	"tooltip": "Siege weapons cost 20% less metal",
-	"modifications": [{"value": "Cost/Resources/metal", "multiply": 0.8}],
+	"modifications": [{ "value": "Cost/Resources/metal", "multiply": 0.8 }],
 	"affects": ["Siege"],
 	"soundComplete": "interface/alarm/alarm_upgradearmory.xml"
 }
Index: binaries/data/mods/public/simulation/data/technologies/siege_cost_wood.json
===================================================================
--- binaries/data/mods/public/simulation/data/technologies/siege_cost_wood.json	(révision 18027)
+++ binaries/data/mods/public/simulation/data/technologies/siege_cost_wood.json	(copie de travail)
@@ -1,13 +1,13 @@
 {
 	"genericName": "Artillery Instructors",
 	"description": "Siege weapons cost less wood",
-	"cost": {"food": 500, "wood": 0, "stone": 250, "metal": 500},
-	"requirements": {"tech": "phase_city"},
+	"cost": { "food": 500, "wood": 0, "stone": 250, "metal": 500 },
+	"requirements": { "all": [{ "tech": "phase_city" }, { "notciv": "maur" }] },
 	"requirementsTooltip": "Unlocked in City Phase.",
 	"icon": "anvil.png",
 	"researchTime": 40,
 	"tooltip": "Siege weapons cost 20% less wood",
-	"modifications": [{"value": "Cost/Resources/wood", "multiply": 0.8}],
+	"modifications": [{ "value": "Cost/Resources/wood", "multiply": 0.8 }],
 	"affects": ["Siege"],
 	"soundComplete": "interface/alarm/alarm_upgradearmory.xml"
 }
Index: binaries/data/mods/public/simulation/data/technologies/training_conscription.json
===================================================================
--- binaries/data/mods/public/simulation/data/technologies/training_conscription.json	(révision 18027)
+++ binaries/data/mods/public/simulation/data/technologies/training_conscription.json	(copie de travail)
@@ -1,13 +1,13 @@
 {
 	"genericName": "Conscription",
 	"description": "Significantly increase training speed of soldiers at the barracks by training them in large batches or battalions.",
-	"cost": {"food": 500, "wood": 0, "stone": 0, "metal": 0},
-	"requirements": {"tech": "phase_city"},
+	"cost": { "food": 500, "wood": 0, "stone": 0, "metal": 0 },
+	"requirements": { "all": [{ "tech": "phase_city" }, { "notciv": "pers" }] },
 	"requirementsTooltip": "Unlocked in City Phase.",
 	"icon": "fist_spear.png",
 	"researchTime": 40,
 	"tooltip": "Faster batch training speed for the Barracks.",
-	"modifications": [{"value": "ProductionQueue/BatchTimeModifier", "add": -0.1}],
+	"modifications": [{ "value": "ProductionQueue/BatchTimeModifier", "add": -0.1 }],
 	"affects": ["Barracks"],
 	"soundComplete": "interface/alarm/alarm_upgradearmory.xml"
 }
Index: binaries/data/mods/public/simulation/data/technologies/training_naval_architects.json
===================================================================
--- binaries/data/mods/public/simulation/data/technologies/training_naval_architects.json	(révision 18027)
+++ binaries/data/mods/public/simulation/data/technologies/training_naval_architects.json	(copie de travail)
@@ -1,13 +1,13 @@
 {
 	"genericName": "Naval Architects",
 	"description": "Significantly increase build speed of batches of ships at the Dock.",
-	"cost": {"food": 200, "wood": 200, "stone": 0, "metal": 0},
-	"requirements": {"tech": "phase_city"},
+	"cost": { "food": 200, "wood": 200, "stone": 0, "metal": 0 },
+	"requirements": { "all": [{ "tech": "phase_city" }, { "notciv": "cart" }] },
 	"requirementsTooltip": "Unlocked in City Phase.",
 	"icon": "calipers.png",
 	"researchTime": 40,
 	"tooltip": "Docks increased batch construction speed bonus.",
-	"modifications": [{"value": "ProductionQueue/BatchTimeModifier", "add": -0.1}],
+	"modifications": [{ "value": "ProductionQueue/BatchTimeModifier", "add": -0.1 }],
 	"affects": ["Dock"],
 	"soundComplete": "interface/alarm/alarm_upgradearmory.xml"
 }
Index: binaries/data/mods/public/simulation/data/technologies/unlock_champion_units.json
===================================================================
--- binaries/data/mods/public/simulation/data/technologies/unlock_champion_units.json	(révision 18027)
+++ binaries/data/mods/public/simulation/data/technologies/unlock_champion_units.json	(copie de travail)
@@ -5,12 +5,12 @@
 		"spart": "Ágēma",
 		"athen": "Ágēma",
 		"rome": "Regio Cohors"
 	},
 	"description": "Guard units (Champions) are professionals who wield the best weapons and have the best training.",
-	"cost": {"food": 0, "wood": 0, "stone": 0, "metal": 1000},
-	"requirements": {"tech": "phase_city"},
+	"cost": { "food": 0, "wood": 0, "stone": 0, "metal": 1000 },
+	"requirements": { "all": [{ "tech": "phase_city" }, { "any": [{ "civ": "brit"}, { "civ": "gaul"}, { "civ": "iber"}, { "civ": "mace"}, { "civ": "maur" }, { "civ": "rome" }] }] },
 	"requirementsTooltip": "Unlocked in City Phase.",
 	"icon": "helmet_corinthian_crest.png",
 	"researchTime": 90,
 	"tooltip": "Unlock the ability to train Champions at the barracks.",
 	"soundComplete": "interface/alarm/alarm_upgradearmory.xml"
Index: binaries/data/mods/public/simulation/templates/structures/athen_barracks.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/athen_barracks.xml	(révision 18027)
+++ binaries/data/mods/public/simulation/templates/structures/athen_barracks.xml	(copie de travail)
@@ -19,15 +19,10 @@
     <History>The Strategeion was the main military headquarters, where important decisions were taken and plans for battles discussed by the Hellene Generals, or "Strategoi".</History>
   </Identity>
   <Obstruction>
     <Static width="20.0" depth="20.0"/>
   </Obstruction>
-  <ProductionQueue>
-    <Technologies datatype="tokens">
-	  -unlock_champion_units
-    </Technologies>
-  </ProductionQueue>
   <VisualActor>
     <Actor>structures/athenians/barracks.xml</Actor>
     <FoundationActor>structures/fndn_5x5.xml</FoundationActor>
   </VisualActor>
 </Entity>
Index: binaries/data/mods/public/simulation/templates/structures/brit_barracks.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/brit_barracks.xml	(révision 18027)
+++ binaries/data/mods/public/simulation/templates/structures/brit_barracks.xml	(copie de travail)
@@ -21,10 +21,13 @@
   <ProductionQueue>
     <Entities datatype="tokens">
 	  units/{civ}_champion_infantry_barracks
 	  units/{civ}_champion_cavalry_barracks
     </Entities>
+    <Technologies datatype="tokens">
+      unlock_champion_units
+    </Technologies>
   </ProductionQueue>
   <VisualActor>
     <Actor>structures/britons/barracks.xml</Actor>
     <FoundationActor>structures/fndn_5x5.xml</FoundationActor>
   </VisualActor>
Index: binaries/data/mods/public/simulation/templates/structures/cart_barracks.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/cart_barracks.xml	(révision 18027)
+++ binaries/data/mods/public/simulation/templates/structures/cart_barracks.xml	(copie de travail)
@@ -20,15 +20,10 @@
     <Tooltip>Train North African citizen-soldiers. Research improvements for North African units.</Tooltip>
   </Identity>
   <Obstruction>
     <Static width="22.0" depth="23.0"/>
   </Obstruction>
-  <ProductionQueue>
-    <Technologies datatype="tokens">
-	  -unlock_champion_units
-    </Technologies>
-  </ProductionQueue>
   <VisualActor>
     <Actor>structures/carthaginians/barracks.xml</Actor>
     <FoundationActor>structures/fndn_5x5.xml</FoundationActor>
   </VisualActor>
 </Entity>
Index: binaries/data/mods/public/simulation/templates/structures/gaul_barracks.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/gaul_barracks.xml	(révision 18027)
+++ binaries/data/mods/public/simulation/templates/structures/gaul_barracks.xml	(copie de travail)
@@ -21,10 +21,13 @@
   <ProductionQueue>
     <Entities datatype="tokens">
 	  units/{civ}_champion_infantry_barracks
 	  units/{civ}_champion_cavalry_barracks
     </Entities>
+    <Technologies datatype="tokens">
+      unlock_champion_units
+    </Technologies>
   </ProductionQueue>
   <VisualActor>
     <Actor>structures/celts/barracks.xml</Actor>
     <FoundationActor>structures/fndn_5x5.xml</FoundationActor>
   </VisualActor>
Index: binaries/data/mods/public/simulation/templates/structures/iber_barracks.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/iber_barracks.xml	(révision 18027)
+++ binaries/data/mods/public/simulation/templates/structures/iber_barracks.xml	(copie de travail)
@@ -14,10 +14,13 @@
   <ProductionQueue>
     <Entities datatype="tokens">
 	  units/{civ}_champion_infantry_barracks
 	  units/{civ}_champion_cavalry_barracks
     </Entities>
+    <Technologies datatype="tokens">
+      unlock_champion_units
+    </Technologies>
   </ProductionQueue>
   <VisualActor>
     <Actor>structures/iberians/barracks.xml</Actor>
   </VisualActor>
 </Entity>
Index: binaries/data/mods/public/simulation/templates/structures/mace_barracks.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/mace_barracks.xml	(révision 18027)
+++ binaries/data/mods/public/simulation/templates/structures/mace_barracks.xml	(copie de travail)
@@ -24,10 +24,13 @@
   <ProductionQueue>
     <Entities datatype="tokens">
       units/{civ}_champion_infantry_a_barracks
       units/{civ}_champion_cavalry_barracks
     </Entities>
+    <Technologies datatype="tokens">
+      unlock_champion_units
+    </Technologies>
   </ProductionQueue>
   <VisualActor>
     <Actor>structures/macedonians/barracks.xml</Actor>
     <FoundationActor>structures/fndn_5x5.xml</FoundationActor>
   </VisualActor>
Index: binaries/data/mods/public/simulation/templates/structures/maur_barracks.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/maur_barracks.xml	(révision 18027)
+++ binaries/data/mods/public/simulation/templates/structures/maur_barracks.xml	(copie de travail)
@@ -17,10 +17,11 @@
 	  units/{civ}_champion_maiden_barracks
 	  units/{civ}_champion_chariot_barracks
     </Entities>
     <Technologies datatype="tokens">
 	  mauryans/special_archery_tradition
+	  unlock_champion_units
     </Technologies>
   </ProductionQueue>
   <VisualActor>
     <Actor>structures/mauryans/barracks.xml</Actor>
   </VisualActor>
Index: binaries/data/mods/public/simulation/templates/structures/merc_camp_egyptian.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/merc_camp_egyptian.xml	(révision 18027)
+++ binaries/data/mods/public/simulation/templates/structures/merc_camp_egyptian.xml	(copie de travail)
@@ -43,11 +43,10 @@
 	  units/ptol_infantry_swordsman_merc_b
       units/ptol_cavalry_spearman_merc_b
       units/ptol_cavalry_javelinist_merc_b
     </Entities>
     <Technologies datatype="tokens">
-	  -unlock_champion_units
 	  upgrade_rank_advanced_infantry
 	  upgrade_rank_elite_infantry
 	  upgrade_rank_advanced_cavalry
 	  upgrade_rank_elite_cavalry
     </Technologies>
Index: binaries/data/mods/public/simulation/templates/structures/pers_barracks.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/pers_barracks.xml	(révision 18027)
+++ binaries/data/mods/public/simulation/templates/structures/pers_barracks.xml	(copie de travail)
@@ -17,11 +17,10 @@
     <Technologies datatype="tokens">
 	  persians/training_levy_infantry
 	  persians/training_conscription_infantry
 	  persians/special_archery_tradition
 	  -training_conscription
-	  -unlock_champion_units
     </Technologies>
   </ProductionQueue>
   <VisualActor>
     <Actor>structures/persians/barracks.xml</Actor>
   </VisualActor>
Index: binaries/data/mods/public/simulation/templates/structures/pers_stables.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/pers_stables.xml	(révision 18027)
+++ binaries/data/mods/public/simulation/templates/structures/pers_stables.xml	(copie de travail)
@@ -34,11 +34,10 @@
       -units/{civ}_infantry_slinger_b
       -units/{civ}_infantry_archer_b
     </Entities>
     <Technologies datatype="tokens">
       -training_conscription
-      -unlock_champion_units
       persians/training_levy_cavalry	  
       persians/training_conscription_cavalry
       successors/special_war_horses
     </Technologies>
   </ProductionQueue>
Index: binaries/data/mods/public/simulation/templates/structures/ptol_barracks.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/ptol_barracks.xml	(révision 18027)
+++ binaries/data/mods/public/simulation/templates/structures/ptol_barracks.xml	(copie de travail)
@@ -18,14 +18,9 @@
     <Tooltip>Train Egyptian and Middle-Eastern citizen-soldiers. Research training improvements. Garrison: 10.</Tooltip>
   </Identity>
   <Obstruction>
     <Static width="20.0" depth="20.0"/>
   </Obstruction>
-  <ProductionQueue>
-    <Technologies datatype="tokens">
-	  -unlock_champion_units
-    </Technologies>
-  </ProductionQueue>
   <VisualActor>
     <Actor>structures/ptolemies/barracks.xml</Actor>
   </VisualActor>
 </Entity>
Index: binaries/data/mods/public/simulation/templates/structures/ptol_mercenary_camp.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/ptol_mercenary_camp.xml	(révision 18027)
+++ binaries/data/mods/public/simulation/templates/structures/ptol_mercenary_camp.xml	(copie de travail)
@@ -45,11 +45,10 @@
 	  units/ptol_infantry_swordsman_merc_b
       units/ptol_cavalry_spearman_merc_b
       units/ptol_cavalry_javelinist_merc_b
     </Entities>
     <Technologies datatype="tokens">
-	  -unlock_champion_units
 	  upgrade_rank_advanced_infantry
 	  upgrade_rank_elite_infantry
 	  upgrade_rank_advanced_cavalry
 	  upgrade_rank_elite_cavalry
     </Technologies>
Index: binaries/data/mods/public/simulation/templates/structures/rome_barracks.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/rome_barracks.xml	(révision 18027)
+++ binaries/data/mods/public/simulation/templates/structures/rome_barracks.xml	(copie de travail)
@@ -24,10 +24,13 @@
   <ProductionQueue>
     <Entities datatype="tokens">
 	  units/{civ}_champion_infantry_barracks
 	  units/{civ}_champion_cavalry_barracks
     </Entities>
+    <Technologies datatype="tokens">
+      unlock_champion_units
+    </Technologies>
   </ProductionQueue>
   <VisualActor>
     <Actor>structures/romans/barracks.xml</Actor>
     <FoundationActor>structures/fndn_5x5.xml</FoundationActor>
   </VisualActor>
Index: binaries/data/mods/public/simulation/templates/structures/rome_fortress.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/rome_fortress.xml	(révision 18027)
+++ binaries/data/mods/public/simulation/templates/structures/rome_fortress.xml	(copie de travail)
@@ -15,10 +15,11 @@
     <Technologies datatype="tokens">
       siege_attack
       siege_armor
       siege_cost_metal
       siege_cost_wood
+      siege_bolt_accuracy
     </Technologies>
   </ProductionQueue>
   <VisualActor>
     <Actor>structures/romans/fortress.xml</Actor>
   </VisualActor>
Index: binaries/data/mods/public/simulation/templates/structures/sele_barracks.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/sele_barracks.xml	(révision 18027)
+++ binaries/data/mods/public/simulation/templates/structures/sele_barracks.xml	(copie de travail)
@@ -18,15 +18,10 @@
     <SpecificName>Stratones</SpecificName>
   </Identity>
   <Obstruction>
     <Static width="20.0" depth="20.0"/>
   </Obstruction>
-  <ProductionQueue>
-    <Technologies datatype="tokens">
-	  -unlock_champion_units
-    </Technologies>
-  </ProductionQueue>
   <VisualActor>
     <Actor>structures/seleucids/barracks.xml</Actor>
     <FoundationActor>structures/fndn_5x5.xml</FoundationActor>
   </VisualActor>
 </Entity>
Index: binaries/data/mods/public/simulation/templates/structures/sele_fortress.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/sele_fortress.xml	(révision 18027)
+++ binaries/data/mods/public/simulation/templates/structures/sele_fortress.xml	(copie de travail)
@@ -25,10 +25,11 @@
       successors/pair_unlock_champions
       siege_attack
       siege_armor
       siege_cost_metal
       siege_cost_wood
+      siege_bolt_accuracy
       successors/special_war_horses
       successors/special_parade_of_daphne
     </Technologies>
   </ProductionQueue>
   <VisualActor>
Index: binaries/data/mods/public/simulation/templates/structures/spart_barracks.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/spart_barracks.xml	(révision 18027)
+++ binaries/data/mods/public/simulation/templates/structures/spart_barracks.xml	(copie de travail)
@@ -23,13 +23,10 @@
   </Obstruction>
   <ProductionQueue>
     <Entities datatype="tokens">
       units/{civ}_champion_infantry_sword
     </Entities>
-    <Technologies datatype="tokens">
-	  -unlock_champion_units
-    </Technologies>
   </ProductionQueue>
   <VisualActor>
     <Actor>structures/spartans/barracks.xml</Actor>
     <FoundationActor>structures/fndn_5x5.xml</FoundationActor>
   </VisualActor>
Index: binaries/data/mods/public/simulation/templates/template_structure_military_barracks.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_structure_military_barracks.xml	(révision 18027)
+++ binaries/data/mods/public/simulation/templates/template_structure_military_barracks.xml	(copie de travail)
@@ -43,12 +43,12 @@
     <Static width="17.0" depth="17.0"/>
   </Obstruction>
   <ProductionQueue>
     <BatchTimeModifier>0.8</BatchTimeModifier>
     <Entities datatype="tokens">
-	  units/{civ}_infantry_spearman_b
-	  units/{civ}_infantry_pikeman_b
+      units/{civ}_infantry_spearman_b
+      units/{civ}_infantry_pikeman_b
       units/{civ}_infantry_swordsman_b
       units/{civ}_infantry_javelinist_b
       units/{civ}_infantry_slinger_b
       units/{civ}_infantry_archer_b
       units/{civ}_cavalry_swordsman_b
@@ -57,11 +57,10 @@
       units/{civ}_cavalry_archer_b
     </Entities>
     <Technologies datatype="tokens">
       heal_barracks
       training_conscription
-      unlock_champion_units
     </Technologies>
   </ProductionQueue>
   <Sound>
     <SoundGroups>
       <select>interface/select/building/sel_barracks.xml</select>