Index: binaries/data/mods/public/simulation/templates/units/brit_ship_trireme.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/brit_ship_trireme.xml	(révision 18152)
+++ binaries/data/mods/public/simulation/templates/units/brit_ship_trireme.xml	(copie de travail)
@@ -14,11 +14,11 @@
     <Max>1600</Max>
   </Health>
   <Identity>
     <Civ>brit</Civ>
     <SpecificName>Venetic Ponti</SpecificName>
-    <Tooltip>Transport many soldiers across the sea.</Tooltip>
+    <Tooltip>Garrison up to 40 units for transport. Garrison increases the firepower up to 13 arrows.</Tooltip>
     <History>The ships of Gaul were described by Julias Caesar as:  flat bottoms to ride the shallows, exceptionally high bows and sterns, hulls were made entirely of oak, the foot wide cross-timbers were fastened with iron bolts as thick as a man's thumb, sails of raw hides or thin leather, adapted for sailing treacherous and stormy waters of the north atlantic.  Caesar could not injure them by ramming because they were so solidly built, and their height made it difficult to reach them with missiles or board them with grappling irons.</History>
     <Icon>units/celt_ship_trireme.png</Icon>
   </Identity>
   <UnitMotion>
     <WalkSpeed>14</WalkSpeed>
Index: binaries/data/mods/public/simulation/templates/units/gaul_ship_trireme.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/gaul_ship_trireme.xml	(révision 18152)
+++ binaries/data/mods/public/simulation/templates/units/gaul_ship_trireme.xml	(copie de travail)
@@ -14,11 +14,11 @@
     <Max>1600</Max>
   </Health>
   <Identity>
     <Civ>gaul</Civ>
     <SpecificName>Venetic Ponti</SpecificName>
-    <Tooltip>Transport many soldiers across the sea.</Tooltip>
+    <Tooltip>Garrison up to 40 units for transport. Garrison increases the firepower up to 13 arrows.</Tooltip>
     <History>The ships of Gaul were described by Julias Caesar as:  flat bottoms to ride the shallows, exceptionally high bows and sterns, hulls were made entirely of oak, the foot wide cross-timbers were fastened with iron bolts as thick as a man's thumb, sails of raw hides or thin leather, adapted for sailing treacherous and stormy waters of the north atlantic.  Caesar could not injure them by ramming because they were so solidly built, and their height made it difficult to reach them with missiles or board them with grappling irons.</History>
     <Icon>units/celt_ship_trireme.png</Icon>
   </Identity>
   <UnitMotion>
     <WalkSpeed>14</WalkSpeed>
Index: binaries/data/mods/public/simulation/templates/units/iber_ship_trireme.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/iber_ship_trireme.xml	(révision 18152)
+++ binaries/data/mods/public/simulation/templates/units/iber_ship_trireme.xml	(copie de travail)
@@ -14,11 +14,11 @@
     <Max>1600</Max>
   </Health>
   <Identity>
     <Civ>iber</Civ>
     <SpecificName>Ponti</SpecificName>
-    <Tooltip>Transport many soldiers across the sea.</Tooltip>
+    <Tooltip>Garrison up to 40 units for transport. Garrison increases the firepower up to 13 arrows.</Tooltip>
     <Icon>units/celt_ship_trireme.png</Icon>
   </Identity>
   <UnitMotion>
     <WalkSpeed>14</WalkSpeed>
   </UnitMotion>
Index: binaries/data/mods/public/simulation/templates/units/maur_ship_trireme.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/maur_ship_trireme.xml	(révision 18152)
+++ binaries/data/mods/public/simulation/templates/units/maur_ship_trireme.xml	(copie de travail)
@@ -14,10 +14,11 @@
     <Max>2200</Max>
   </Health>
   <Identity>
     <Civ>maur</Civ>
     <SpecificName>Yudhpot</SpecificName>
+    <Tooltip>Garrison up to 40 units for transport. Garrison increases the firepower up to 13 arrows.</Tooltip>
     <VisibleClasses datatype="tokens">Melee</VisibleClasses>
     <Icon>units/maur_ship_trireme.png</Icon>
   </Identity>
   <UnitMotion>
     <WalkSpeed>14</WalkSpeed>