Index: binaries/data/mods/public/globalscripts/Templates.js
===================================================================
--- binaries/data/mods/public/globalscripts/Templates.js	(révision 18410)
+++ binaries/data/mods/public/globalscripts/Templates.js	(copie de travail)
@@ -130,10 +130,21 @@ function GetTemplateDataHelper(template,
 					"description": aura.auraDescription || null
 				};
 		}
 	}
 
+	if (template.BuildingAI)
+	{
+		ret.buildingAI = {};
+		if (template.BuildingAI.DefaultArrowCount)
+			ret.buildingAI.defaultArrowCount = func("BuildingAI/DefaultArrowCount", +template.BuildingAI.DefaultArrowCount, player, template);
+		if (template.BuildingAI.GarrisonArrowMultiplier)
+			ret.buildingAI.garrisonArrowMultiplier = func("BuildingAI/GarrisonArrowMultiplier", +template.BuildingAI.GarrisonArrowMultiplier, player, template);
+		if (template.BuildingAI.MaxArrowCount)
+			ret.buildingAI.maxArrowCount = func("BuildingAI/MaxArrowCount", +template.BuildingAI.MaxArrowCount, player, template);
+	}
+
 	if (template.BuildRestrictions)
 	{
 		// required properties
 		ret.buildRestrictions = {
 			"placementType": template.BuildRestrictions.PlacementType,
@@ -181,10 +192,17 @@ function GetTemplateDataHelper(template,
 			ret.footprint.circle = {"radius": +template.Footprint.Circle["@radius"]};
 		else
 			warn("GetTemplateDataHelper(): Unrecognized Footprint type");
 	}
 
+	if (template.GarrisonHolder)
+	{
+		ret.garrisonHolder = {};
+		if (template.GarrisonHolder.Max)
+			ret.garrisonHolder.max = func("GarrisonHolder/Max", +template.GarrisonHolder.Max, player, template);
+	}
+
 	if (template.Obstruction)
 	{
 		ret.obstruction = {
 			"active": ("" + template.Obstruction.Active == "true"),
 			"blockMovement": ("" + template.Obstruction.BlockMovement == "true"),
Index: binaries/data/mods/public/gui/common/tooltips.js
===================================================================
--- binaries/data/mods/public/gui/common/tooltips.js	(révision 18410)
+++ binaries/data/mods/public/gui/common/tooltips.js	(copie de travail)
@@ -57,14 +57,15 @@ function attackRateDetails(entState, typ
 		"time": time,
 		"second": g_TooltipTextFormats.unit[0] + translatePlural("second", "seconds", time) + g_TooltipTextFormats.unit[1]
 	});
 
 	// or multiple arrows shot by BuildingAI
-	if (!entState.buildingAI)
+	if (!entState.buildingAI || type != "Ranged")
 		return timeString;
 
-	let arrows = entState.buildingAI.arrowCount;
+	// return defaultArrowCount when called from training panel
+	let arrows = entState.buildingAI.arrowCount || entState.buildingAI.defaultArrowCount;
 	let arrowString = sprintf(translatePlural("%(arrowcount)s %(arrow)s", "%(arrowcount)s %(arrow)s", arrows), {
 		"arrowcount": arrows,
 		"arrow": g_TooltipTextFormats.unit[0] + translatePlural("arrow", "arrows", arrows) + g_TooltipTextFormats.unit[1]
 	});
 
@@ -160,21 +161,21 @@ function getAttackTooltip(template)
 {
 	let attacks = [];
 	if (!template.attack)
 		return "";
 
-	let rateLabel = g_TooltipTextFormats.header[0] + (template.buildingAI ? translate("Interval:") : translate("Rate:")) + g_TooltipTextFormats.header[1];
-
 	for (let type in template.attack)
 	{
 		if (type == "Slaughter")
 			continue; // Slaughter is not a real attack, so do not show it.
 		if (type == "Charge")
 			continue; // Charging isn't implemented yet and shouldn't be displayed.
 
+		let rateLabel = (template.buildingAI && type == "Ranged" ? translate("Interval:") : translate("Rate:"));
+
 		let rate = sprintf(translate("%(label)s %(details)s"), {
-			"label": rateLabel,
+			"label": g_TooltipTextFormats.header[0] + rateLabel + g_TooltipTextFormats.header[1],
 			"details": attackRateDetails(template, type)
 		});
 
 		let attackLabel = g_TooltipTextFormats.header[0] + getAttackTypeLabel(type) + g_TooltipTextFormats.header[1];
 		if (type == "Capture")
@@ -392,10 +393,45 @@ function getEntityCostTooltip(template,
 
 	return "";
 }
 
 /**
+ * Returns the garrison information to display in the specified entity's construction and training button tooltip.
+ */
+function getGarrisonTooltip(template)
+{
+	let garrison = "";
+	if (template.garrisonHolder && template.garrisonHolder.max)
+		garrison = "\n" + sprintf(translate("%(label)s %(max)s"), {
+			"label": translate("Garrison Limit:"),
+			"max": template.garrisonHolder.max
+		});
+	return garrison;
+}
+
+/**
+ * Returns the information about building arrows to display in the specified entity's construction and training button tooltip.
+ */
+function getGarrisonedArrowsTooltip(template)
+{
+	let arrow = "";
+	if (!template.buildingAI)
+		return arrow;
+	if (template.buildingAI.maxArrowCount)
+		arrow += "\n" + sprintf(translate("%(label)s %(arrowLimit)s"), {
+			"label": translate("Projectiles limit:"),
+			"arrowLimit": template.buildingAI.maxArrowCount
+		});
+	if (template.buildingAI.garrisonArrowMultiplier)
+		arrow += "\n" + sprintf(translate("%(label)s %(arrowMultiplier)s"), {
+			"label": translate("Projectiles per garrisonned unit:"),
+			"arrowMultiplier": template.buildingAI.garrisonArrowMultiplier
+		});
+	return arrow;
+}
+
+/**
  * Returns the population bonus information to display in the specified entity's construction button tooltip.
  */
 function getPopulationBonusTooltip(template)
 {
 	let popBonus = "";
Index: binaries/data/mods/public/gui/session/selection_panels.js
===================================================================
--- binaries/data/mods/public/gui/session/selection_panels.js	(révision 18410)
+++ binaries/data/mods/public/gui/session/selection_panels.js	(copie de travail)
@@ -312,10 +312,12 @@ g_SelectionPanels.Construction = {
 		tooltip += getAurasTooltip(template);
 
 		if (template.tooltip)
 			tooltip += "\n[font=\"sans-13\"]" + template.tooltip + "[/font]";
 
+		tooltip += "[font=\"sans-13\"]" + getGarrisonTooltip(template) + "[/font]";
+		tooltip += "[font=\"sans-13\"]" + getGarrisonedArrowsTooltip(template) + "[/font]";
 		tooltip += "\n" + getEntityCostTooltip(template);
 		tooltip += getPopulationBonusTooltip(template);
 
 		tooltip += formatLimitString(limits.entLimit, limits.entCount, limits.entLimitChangers);
 
@@ -996,10 +998,12 @@ g_SelectionPanels.Training = {
 		tooltip += getAurasTooltip(template);
 
 		if (template.tooltip)
 			tooltip += "\n[font=\"sans-13\"]" + template.tooltip + "[/font]";
 
+		tooltip += "[font=\"sans-13\"]" + getGarrisonTooltip(template) + "[/font]";
+		tooltip += "[font=\"sans-13\"]" + getGarrisonedArrowsTooltip(template) + "[/font]";
 		tooltip += "\n" + getEntityCostTooltip(template, trainNum, data.unitEntState.id);
 
 		let limits = getEntityLimitAndCount(data.playerState, data.item);
 
 		tooltip += formatLimitString(limits.entLimit, limits.entCount, limits.entLimitChangers);
Index: binaries/data/mods/public/simulation/templates/other/hellenic_epic_temple.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/other/hellenic_epic_temple.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/other/hellenic_epic_temple.xml	(copie de travail)
@@ -27,11 +27,11 @@
   <Identity>
     <Civ>gaia</Civ>
     <GenericName>Epic Temple</GenericName>
     <SpecificName>Naos Parthenos</SpecificName>
     <History>The Hellenes built marvelous temples in order to honour their polytheistic pantheon. While all gods were venerated, a specific patron deity was supposed to watch over each polis.</History>
-    <Tooltip>Garrison up to 30 units to heal them at a quick rate.</Tooltip>
+    <Tooltip>Garrison units to heal them at a quick rate.</Tooltip>
   </Identity>
   <Loot>
     <xp>50</xp>
     <food>0</food>
     <wood>0</wood>
Index: binaries/data/mods/public/simulation/templates/structures/athen_fortress.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/athen_fortress.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/structures/athen_fortress.xml	(copie de travail)
@@ -5,11 +5,11 @@
     <Height>8.0</Height>
   </Footprint>
   <Identity>
     <Civ>athen</Civ>
     <SpecificName>Epiteíkhisma</SpecificName>
-    <Tooltip>Build siege engines. Garrison up to 20 soldiers inside for stout defense.</Tooltip>
+    <Tooltip>Build siege engines. Garrison soldiers inside for stout defense.</Tooltip>
     <History>Fortresses (also called "Phroúria") were built to guard passes and atop hills in order to command plains and valleys below. One such Athenian fortress, Gyphtokastro, guarded the pass from Attica into Boeotia.</History>
   </Identity>
   <Obstruction>
     <Static width="24.0" depth="26.0"/>
   </Obstruction>
Index: binaries/data/mods/public/simulation/templates/structures/athen_wonder.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/athen_wonder.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/structures/athen_wonder.xml	(copie de travail)
@@ -12,11 +12,11 @@
   </GarrisonHolder>
   <Identity>
     <Civ>athen</Civ>
     <SpecificName>Naós Parthenṓn</SpecificName>
     <History>The Hellenes built marvelous temples in order to honour their polytheistic pantheon. While all gods were venerated, a specific patron deity was supposed to watch over each polis.</History>
-    <Tooltip>Bring glory to your civilization and add large tracts of land to your empire. Garrison up to 30 units to heal them at an extremely quick rate.</Tooltip>
+    <Tooltip>Bring glory to your civilization and add large tracts of land to your empire. Garrison units to heal them at an extremely quick rate.</Tooltip>
   </Identity>
   <Obstruction>
     <Static width="27.0" depth="57.0"/>
   </Obstruction>
   <VisualActor>
Index: binaries/data/mods/public/simulation/templates/structures/cart_temple.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/cart_temple.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/structures/cart_temple.xml	(copie de travail)
@@ -11,11 +11,11 @@
   </Footprint>
   <Identity>
     <Civ>cart</Civ>
     <SpecificName>Maqdaš</SpecificName>
     <History>What little we know of the Carthaginian religion has be pieced together from scattered sources. Tanit, a fertility goddess, was one of two principle gods in the Carthaginian pantheon, the other being her consort Ba'al, a deity of Phoenician origin.</History>
-    <Tooltip>Train priestesses to heal your troops. Train Sacred Band pikemen. Garrison up to 20 units to heal them at a quick rate.</Tooltip>
+    <Tooltip>Train priestesses to heal your troops. Train Sacred Band pikemen. Garrison units to heal them at a quick rate.</Tooltip>
   </Identity>
   <Obstruction>
     <Static width="17.0" depth="30.0"/>
   </Obstruction>
   <ProductionQueue>
Index: binaries/data/mods/public/simulation/templates/structures/cart_wonder.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/cart_wonder.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/structures/cart_wonder.xml	(copie de travail)
@@ -12,11 +12,11 @@
   </GarrisonHolder>
   <Identity>
    <Civ>cart</Civ>
     <SpecificName>Temple of Ba'al Hammon</SpecificName>
     <History>Dating from the 2nd Century BC, the Mausoleum of Atban in northern Tunisia is over twenty metres high and was built by the inhabitants of Dougga for a Numidian prince.</History>
-    <Tooltip>Bring glory to your civilization and add large tracts of land to your empire. Garrison up to 30 units to heal them at an extremely quick rate.</Tooltip>
+    <Tooltip>Bring glory to your civilization and add large tracts of land to your empire. Garrison units to heal them at an extremely quick rate.</Tooltip>
   </Identity>
   <Obstruction>
     <Static width="27.0" depth="57.0"/>
   </Obstruction>
   <VisualActor>
Index: binaries/data/mods/public/simulation/templates/structures/mace_fortress.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/mace_fortress.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/structures/mace_fortress.xml	(copie de travail)
@@ -11,11 +11,11 @@
     <Height>8.0</Height>
   </Footprint>
   <Identity>
     <Civ>mace</Civ>
     <SpecificName>Teíchisma</SpecificName>
-    <Tooltip>Train Champions and Heroes. Garrison up to 20 soldiers inside for stout defense.</Tooltip>
+    <Tooltip>Train Champions and Heroes. Garrison soldiers inside for stout defense.</Tooltip>
     <History>The Akropolis was usually a fortified citadel in the upper part of the city. The Athenian Akropolis was renowned for its marvelous temples, among which was the Parthenon, while the Acro-Corinthus was highly prized by the Macedonians for its strategic location and good defenses. Fortresses (also called a "phrourion") were also built to guard passes and atop hills in order to command plains and valleys below.</History>
   </Identity>
   <Obstruction>
     <Static width="24.0" depth="26.0"/>
   </Obstruction>
Index: binaries/data/mods/public/simulation/templates/structures/mace_wonder.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/mace_wonder.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/structures/mace_wonder.xml	(copie de travail)
@@ -12,11 +12,11 @@
   </GarrisonHolder>
   <Identity>
     <Civ>mace</Civ>
     <SpecificName>Naós Parthenṓn</SpecificName>
     <History>The Hellenes built marvelous temples in order to honour their polytheistic pantheon. While all gods were venerated, a specific patron deity was supposed to watch over each polis.</History>
-    <Tooltip>Bring glory to your civilization and add large tracts of land to your empire. Garrison up to 30 units to heal them at an extremely quick rate.</Tooltip>
+    <Tooltip>Bring glory to your civilization and add large tracts of land to your empire. Garrison units to heal them at an extremely quick rate.</Tooltip>
   </Identity>
   <Obstruction>
     <Static width="27.0" depth="57.0"/>
   </Obstruction>
   <VisualActor>
Index: binaries/data/mods/public/simulation/templates/structures/ptol_barracks.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/ptol_barracks.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/structures/ptol_barracks.xml	(copie de travail)
@@ -13,11 +13,11 @@
     <SpawnEntityOnDeath>rubble/rubble_stone_5x5</SpawnEntityOnDeath>
   </Health>
   <Identity>
     <Civ>ptol</Civ>
     <SpecificName>ḥwt-n-mš'</SpecificName>
-    <Tooltip>Train Egyptian and Middle-Eastern citizen-soldiers. Research training improvements. Garrison: 10.</Tooltip>
+    <Tooltip>Train Egyptian and Middle-Eastern citizen-soldiers. Research training improvements.</Tooltip>
   </Identity>
   <Obstruction>
     <Static width="20.0" depth="20.0"/>
   </Obstruction>
   <VisualActor>
Index: binaries/data/mods/public/simulation/templates/structures/ptol_wonder.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/ptol_wonder.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/structures/ptol_wonder.xml	(copie de travail)
@@ -12,11 +12,11 @@
   </GarrisonHolder>
   <Identity>
     <Civ>ptol</Civ>
     <SpecificName>Temple of Edfu</SpecificName>
     <History>The Temple of Edfu is an ancient Egyptian temple located on the west bank of the Nile in the city of Edfu which was known in Greco-Roman times as Apollonopolis Magna, after the chief god Horus-Apollo.The temple, dedicated to the falcon god Horus, was built in the Ptolemaic period between 237 and 57 BCE. In modern times, it is one of the best preserved temples of Egypt.</History>
-    <Tooltip>Bring glory to your civilization and add large tracts of land to your empire. Garrison up to 30 units to heal them at an extremely quick rate.</Tooltip>
+    <Tooltip>Bring glory to your civilization and add large tracts of land to your empire. Garrison units to heal them at an extremely quick rate.</Tooltip>
   </Identity>
   <Obstruction>
     <Static width="44.0" depth="60.0"/>
   </Obstruction>
   <VisualActor>
Index: binaries/data/mods/public/simulation/templates/structures/rome_temple_mars.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/rome_temple_mars.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/structures/rome_temple_mars.xml	(copie de travail)
@@ -10,11 +10,11 @@
   <Identity>
     <Civ>rome</Civ>
     <GenericName>Temple of Mars</GenericName>
     <SpecificName>Aedes Martis</SpecificName>
     <History>Roman temples in general were not meant for congregational worship. Instead the temple housed a statue of whatever deity the temple was dedicated to and what was needed to carry out the ceremonial and cultic practice necessary for worship. Any actual worship activity was performed outside.</History>
-    <Tooltip>Train healers. Garrison up to 30 units to heal them at a quick rate.</Tooltip>
+    <Tooltip>Train healers. Garrison units to heal them at a quick rate.</Tooltip>
   </Identity>
   <Obstruction>
     <Static width="20.0" depth="40.0"/>
   </Obstruction>
   <TerritoryInfluence>
Index: binaries/data/mods/public/simulation/templates/structures/rome_wonder.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/rome_wonder.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/structures/rome_wonder.xml	(copie de travail)
@@ -11,11 +11,11 @@
     <BuffHeal>8</BuffHeal>
   </GarrisonHolder>
   <Identity>
     <Civ>rome</Civ>
     <SpecificName>Aedes Iovis Optimi Maximi</SpecificName>
-    <Tooltip>Bring glory to your civilization and add large tracts of land to your empire. Garrison up to 30 units to heal them at an extremely quick rate.</Tooltip>
+    <Tooltip>Bring glory to your civilization and add large tracts of land to your empire. Garrison units to heal them at an extremely quick rate.</Tooltip>
   </Identity>
   <Obstruction>
     <Static width="20.0" depth="40.0"/>
   </Obstruction>
   <VisualActor>
Index: binaries/data/mods/public/simulation/templates/structures/sele_fortress.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/sele_fortress.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/structures/sele_fortress.xml	(copie de travail)
@@ -5,11 +5,11 @@
     <Height>8.0</Height>
   </Footprint>
   <Identity>
     <Civ>sele</Civ>
     <SpecificName>Phrourion</SpecificName>
-    <Tooltip>Build siege engines and train Champions. Garrison up to 20 soldiers inside for stout defense.</Tooltip>
+    <Tooltip>Build siege engines and train Champions. Garrison soldiers inside for stout defense.</Tooltip>
     <History>Fortresses were built to guard passes and atop hills in order to command plains and valleys below.</History>
   </Identity>
   <Obstruction>
     <Static width="24.0" depth="26.0"/>
   </Obstruction>
Index: binaries/data/mods/public/simulation/templates/structures/spart_wonder.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/spart_wonder.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/structures/spart_wonder.xml	(copie de travail)
@@ -12,11 +12,11 @@
   </GarrisonHolder>
   <Identity>
     <Civ>spart</Civ>
     <SpecificName>Naós Parthenṓn</SpecificName>
     <History>The Hellenes built marvelous temples in order to honour their polytheistic pantheon. While all gods were venerated, a specific patron deity was supposed to watch over each polis.</History>
-    <Tooltip>Bring glory to your civilization and add large tracts of land to your empire. Garrison up to 30 units to heal them at a quick rate.</Tooltip>
+    <Tooltip>Bring glory to your civilization and add large tracts of land to your empire. Garrison units to heal them at a quick rate.</Tooltip>
   </Identity>
   <Obstruction>
     <Static width="27.0" depth="57.0"/>
   </Obstruction>
   <VisualActor>
Index: binaries/data/mods/public/simulation/templates/template_structure_civic_civil_centre.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_structure_civic_civil_centre.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/template_structure_civic_civil_centre.xml	(copie de travail)
@@ -64,11 +64,11 @@
     <Max>3000</Max>
     <SpawnEntityOnDeath>rubble/rubble_stone_6x6</SpawnEntityOnDeath>
   </Health>
   <Identity>
     <GenericName>Civic Center</GenericName>
-    <Tooltip>Build to acquire large tracts of territory. Train citizens. Garrison: 20.</Tooltip>
+    <Tooltip>Build to acquire large tracts of territory. Train citizens.</Tooltip>
     <Classes datatype="tokens">Defensive CivCentre</Classes>
     <VisibleClasses datatype="tokens">CivilCentre</VisibleClasses>
     <Icon>structures/civic_centre.png</Icon>
   </Identity>
   <Loot>
Index: binaries/data/mods/public/simulation/templates/template_structure_civic_temple.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_structure_civic_temple.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/template_structure_civic_temple.xml	(copie de travail)
@@ -27,11 +27,11 @@
     <Max>2000</Max>
     <SpawnEntityOnDeath>rubble/rubble_stone_4x6</SpawnEntityOnDeath>
   </Health>
   <Identity>
     <GenericName>Temple</GenericName>
-    <Tooltip>Train healers. Garrison up to 20 units to heal them at a quick rate (3 HP per second). Research healing and religious improvements.</Tooltip>
+    <Tooltip>Train healers. Garrison units to heal them at a quick rate (3 HP per second). Research healing and religious improvements.</Tooltip>
     <VisibleClasses datatype="tokens">Town Temple</VisibleClasses>
     <Icon>structures/temple.png</Icon>
     <RequiredTechnology>phase_town</RequiredTechnology>
   </Identity>
   <Loot>
Index: binaries/data/mods/public/simulation/templates/template_structure_military_barracks.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_structure_military_barracks.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/template_structure_military_barracks.xml	(copie de travail)
@@ -25,11 +25,11 @@
     <Max>2000</Max>
     <SpawnEntityOnDeath>rubble/rubble_stone_4x4</SpawnEntityOnDeath>
   </Health>
   <Identity>
     <GenericName>Barracks</GenericName>
-    <Tooltip>Train citizen-soldiers. Research training improvements. Garrison: 10.</Tooltip>
+    <Tooltip>Train citizen-soldiers. Research training improvements.</Tooltip>
     <VisibleClasses datatype="tokens">Village Barracks</VisibleClasses>
     <Icon>structures/barracks.png</Icon>
     <RequiredTechnology>phase_village</RequiredTechnology>
   </Identity>
   <Loot>
Index: binaries/data/mods/public/simulation/templates/template_structure_military_fortress.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_structure_military_fortress.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/template_structure_military_fortress.xml	(copie de travail)
@@ -59,11 +59,11 @@
     <Max>4200</Max>
     <SpawnEntityOnDeath>rubble/rubble_stone_6x6</SpawnEntityOnDeath>
   </Health>
   <Identity>
     <GenericName>Fortress</GenericName>
-    <Tooltip>Train heroes, champions, and siege weapons. Research siege weapon improvements. Garrison: 20.</Tooltip>
+    <Tooltip>Train heroes, champions, and siege weapons. Research siege weapon improvements.</Tooltip>
     <Classes datatype="tokens">GarrisonFortress</Classes>
     <VisibleClasses datatype="tokens">Defensive City Fortress</VisibleClasses>
     <Icon>structures/fortress.png</Icon>
     <RequiredTechnology>phase_city</RequiredTechnology>
   </Identity>
Index: binaries/data/mods/public/simulation/templates/template_unit_mechanical_ship_bireme.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_mechanical_ship_bireme.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/template_unit_mechanical_ship_bireme.xml	(copie de travail)
@@ -45,11 +45,11 @@
   </Health>
   <Identity>
     <GenericName>Light Warship</GenericName>
     <Classes datatype="tokens">Warship Light Bow Ranged</Classes>
     <RequiredTechnology>phase_town</RequiredTechnology>
-    <Tooltip>Garrison up to 20 units for transport. Garrison increases the firepower up to 10 arrows.</Tooltip>
+    <Tooltip>Garrison units for transport and to increase firepower.</Tooltip>
   </Identity>
   <ResourceGatherer disable=""/>
   <Sound>
     <SoundGroups>
       <attack>attack/weapon/arrowfly.xml</attack>
Index: binaries/data/mods/public/simulation/templates/template_unit_mechanical_ship_quinquereme.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_mechanical_ship_quinquereme.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/template_unit_mechanical_ship_quinquereme.xml	(copie de travail)
@@ -51,11 +51,11 @@
   <Health>
     <Max>2000</Max>
   </Health>
   <Identity>
     <GenericName>Heavy Warship</GenericName>
-    <Tooltip>Garrison up to 10 catapults to increase fire power.</Tooltip>
+    <Tooltip>Garrison units for transport and to increase firepower.</Tooltip>
     <Classes datatype="tokens">Warship Heavy Ranged</Classes>
 	<RequiredTechnology>phase_city</RequiredTechnology>
   </Identity>
   <Sound>
     <SoundGroups>
Index: binaries/data/mods/public/simulation/templates/template_unit_mechanical_ship_trireme.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_mechanical_ship_trireme.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/template_unit_mechanical_ship_trireme.xml	(copie de travail)
@@ -45,11 +45,11 @@
   </Health>
   <Identity>
     <GenericName>Medium Warship</GenericName>
     <VisibleClasses datatype="tokens">Warship Medium Ranged</VisibleClasses>
     <RequiredTechnology>phase_town</RequiredTechnology>
-    <Tooltip>Garrison up to 30 units for transport. Garrison increases the firepower up to 13 arrows.</Tooltip>
+    <Tooltip>Garrison units for transport and to increase firepower.</Tooltip>
   </Identity>
   <ResourceGatherer disable=""/>
   <Sound>
     <SoundGroups>
       <attack>attack/weapon/arrowfly.xml</attack>
Index: binaries/data/mods/public/simulation/templates/template_unit_mechanical_siege_tower.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_unit_mechanical_siege_tower.xml	(révision 18410)
+++ binaries/data/mods/public/simulation/templates/template_unit_mechanical_siege_tower.xml	(copie de travail)
@@ -53,11 +53,11 @@
     <Max>500</Max>
   </Health>
   <Identity>
     <GenericName>Siege Tower</GenericName>
     <Classes datatype="tokens">Ranged SiegeTower</Classes>
-    <Tooltip>Garrison up to 20 infantry inside to increase arrow count from 0 to 10.</Tooltip>
+    <Tooltip>Garrison units to increase firepower.</Tooltip>
   </Identity>
   <Selectable>
     <Overlay>
       <Texture>
         <MainTexture>circle/256x256.png</MainTexture>