Index: binaries/data/mods/public/simulation/components/UnitAI.js
===================================================================
--- binaries/data/mods/public/simulation/components/UnitAI.js	(revision 18113)
+++ binaries/data/mods/public/simulation/components/UnitAI.js	(working copy)
@@ -5459,6 +5459,11 @@
 		this.PushOrderFront("Attack", { "target": targ, "force": true, "allowCapture": true });
 		return true;
 	}
+
+	// healers on a walk-and-fight order should heal injured units
+	if (this.IsHealer())
+		return this.FindNewHealTargets();
+	
 	return false;
 };
 
Index: binaries/data/mods/public/simulation/data/technologies/advanced_unit_bonus.json
===================================================================
--- binaries/data/mods/public/simulation/data/technologies/advanced_unit_bonus.json	(revision 18113)
+++ binaries/data/mods/public/simulation/data/technologies/advanced_unit_bonus.json	(working copy)
@@ -13,6 +13,7 @@
 		{"value": "Attack/Melee/Hack",      "multiply":    1.2,  "affects": "Melee"  },
 		{"value": "Attack/Melee/Pierce",    "multiply":    1.2,  "affects": "Melee"  },
 		{"value": "Heal/Range",             "add":         4,   "affects": "Healer"  },
+		{"value": "Vision/Range",           "add":         8,   "affects": "Healer"  },
 		{"value": "Heal/HP",                "add":         5,   "affects": "Healer"  }
 	],
 	"affects": ["Advanced Unit", "Elite Unit"]
Index: binaries/data/mods/public/simulation/data/technologies/elite_unit_bonus.json
===================================================================
--- binaries/data/mods/public/simulation/data/technologies/elite_unit_bonus.json	(revision 18113)
+++ binaries/data/mods/public/simulation/data/technologies/elite_unit_bonus.json	(working copy)
@@ -13,6 +13,7 @@
 		{"value": "Attack/Melee/Hack",      "multiply":    1.2,  "affects": "Melee"  },
 		{"value": "Attack/Melee/Pierce",    "multiply":    1.2,  "affects": "Melee"  },
 		{"value": "Heal/Range",             "add":         4,   "affects": "Healer"  },
+		{"value": "Vision/Range",           "add":         8,   "affects": "Healer"  },
 		{"value": "Heal/HP",                "add":         5,   "affects": "Healer"  }
 	],
 	"affects": ["Elite Unit"]
Index: binaries/data/mods/public/simulation/data/technologies/heal_range.json
===================================================================
--- binaries/data/mods/public/simulation/data/technologies/heal_range.json	(revision 18113)
+++ binaries/data/mods/public/simulation/data/technologies/heal_range.json	(working copy)
@@ -5,14 +5,14 @@
 		"spart": "Olympic Pantheon",
 		"athen": "Olympic Pantheon"
 	},
-	"description": "Increases the healing range of all healers.",
+	"description": "Increases the healing and vision range of all healers.",
 	"cost": {"food": 500, "wood": 0, "stone": 0, "metal": 250},
 	"requirements": {"tech": "phase_town"},
 	"requirementsTooltip": "Unlocked in Town Phase.",
 	"icon": "healing_range.png",
 	"researchTime": 40,
-	"tooltip": "Healers +8 Healing Range.",
-	"modifications": [{"value": "Heal/Range", "add": 8.0}],
+	"tooltip": "Healers +8 Healing Range, +15 vision range.",
+	"modifications": [{"value": "Heal/Range", "add": 8.0}, {"value": "Vision/Range", "add": 15.0}],
 	"affects": ["Healer"],
 	"soundComplete": "interface/alarm/alarm_upgradearmory.xml"
 }
Index: binaries/data/mods/public/simulation/data/technologies/heal_range_2.json
===================================================================
--- binaries/data/mods/public/simulation/data/technologies/heal_range_2.json	(revision 18113)
+++ binaries/data/mods/public/simulation/data/technologies/heal_range_2.json	(working copy)
@@ -5,7 +5,7 @@
 		"spart": "Akadḗmeia",
 		"athen": "Akadḗmeia"
 	},
-	"description": "Increases the healing range of all healers.",
+	"description": "Increases the healing and vision range of all healers.",
 	"cost": {"food": 1000, "wood": 0, "stone": 0, "metal": 500},
 	"supersedes": "heal_range",
 	"requirements": {"tech": "phase_city"},
@@ -12,8 +12,8 @@
 	"requirementsTooltip": "Unlocked in City Phase.",
 	"icon": "healing_range.png",
 	"researchTime": 40,
-	"tooltip": "Healers +8 Healing Range.",
-	"modifications": [{"value": "Heal/Range", "add": 8.0}],
+	"tooltip": "Healers +8 Healing Range, +15 Vision Range.",
+	"modifications": [{"value": "Heal/Range", "add": 8.0}, {"value": "Vision/Range", "add": 15.0}],
 	"affects": ["Healer"],
 	"soundComplete": "interface/alarm/alarm_upgradearmory.xml"
 }